<?php
session_start();
require('../cfg/cfg.php');
require('../cfg/res.php');
require('../../_lib/vrdocu0.php');




$sql_enti_x='select count(*)as ent_existe from enti0 where enti_codigo="'.$_POST['enti'].'"';
$res_enti_x=mysql_query($sql_enti_x,$link_vcrx);
$count_enti_x=mysql_result($res_enti_x,0,'ent_existe');
if($count_enti_x==0)
{
	die(	'<input type="hidden" id="hdd_idxreg3" value="Error1" /><input type="hidden" id="hdd_docuxreg3" value="Error" />');	
}

$sql_docu_x='select count(*)as docu_existe from docu0 where docu_codigo="'.$_POST['docu'].'"';
$res_docu_x=mysql_query($sql_docu_x,$link_vcrx);
$count_docu_x=mysql_result($res_docu_x,0,'docu_existe');
if($count_docu_x==0)
{
	die(	'<input type="hidden" id="hdd_idxreg3" value="Error2" /><input type="hidden" id="hdd_docuxreg3" value="Error" />');	
}


$docur=new vrdocu0('../cfg/res.php',$_POST['docu']);
$numeror=$_POST['numex'];
$numeror=str_pad($numeror,9,"0",STR_PAD_LEFT);
$fechar=date("Y-m-d");

if($docur->autonum!='1')
{

	$fechar=$_POST['fech'];	
}


$sql_exist='select * from '.$docur->tabla.'1  where docu="'.$_POST['docu'].'" and ptoe="'.$_POST['ptoe'].'" and numero="'.$numeror.'" and status!="X"';


$res_exist=mysql_query($sql_exist,$link_vcrx);

if(mysql_num_rows($res_exist)==0)
{
	$sql_nr='insert into '.$docur->tabla.'1 (
	docu,
	ptoe,
	numero,
	fecha,
	enti,
	concepto,
	status,
	iuser,
	idate
	)
	values(
	"'.strtoupper($_POST['docu']).'",
	"'.$_POST['ptoe'].'",
	"'.$numeror.'",
	"'.$fechar.'",
	"'.$_POST['enti'].'",
	"'.$_POST['conc'].'",
	"-",
	"'.$_SESSION['user_vcrx_id'].'",
        NOW()
	)';
	
	
	if(!mysql_query($sql_nr,$link_vcrx))
	{
		echo mysql_error($link_vcrx);
		echo $sql_nr;
	}
	
	$sql_ndocu='update docu0 set docu_numero="'.$numeror.'" where docu_codigo like "'.strtoupper($_POST['docu']).'"';
	mysql_query($sql_ndocu,$link_vcrx);
	$sql_exist='select * from '.$docur->tabla.'1  where docu="'.$_POST['docu'].'" and ptoe="'.$_POST['ptoe'].'" and numero="'.$numeror.'" and status!="X"';
	$res_exist=mysql_query($sql_exist,$link_vcrx);
}


$xidnum=mysql_result($res_exist,0,'idnum1');

$sql_nr='update '.$docur->tabla.'1 set 
	fecha="'.$fechar.'",
	enti="'.$_POST['enti'].'",
	concepto="'.$_POST['conc'].'" 
	where idnum1='.$xidnum;

	
	
mysql_query($sql_nr,$link_vcrx);
	
	
if('gnya'==$empr_codigo)
{
	$sql_nru='update '.$docur->tabla.'1 set 
	drtr="'.$_POST['dire'].'",
	concepto="'.$_POST['conc'].'" 
	where idnum1='.$xidnum;

	mysql_query($sql_nru,$link_vcrx);
	    
}

if (mb_stristr('FP.RP.GR',substr($_POST['docu'],0,2)))
{
	$_POST['fecha_auto']=str_replace('-', '', $_POST['fecha_auto']);
	$_POST['fecha_auto']=str_replace('/', '', $_POST['fecha_auto']);
	$_POST['tiempo_auto']=str_replace(':', '', $_POST['tiempo_auto']);
	
	$sql_nru='update '.$docur->tabla.'1 set 
		atrznume="'.$_POST['fecha_auto'].$_POST['tiempo_auto'].$_POST['ruc_auto'].$_POST['atrz'].'",
		atrz="'.$_POST['atrz'].'",
		suco="'.$_POST['suco'].'"
		where idnum1='.$xidnum;

	mysql_query($sql_nru,$link_vcrx);
	    
}

if (mb_stristr('FC',substr($_POST['docu'],0,2)))
{
	$sql_nru='update '.$docur->tabla.'1 set 
		vndd="'.$_POST['vendedor'].'"
		where idnum1='.$xidnum;

	mysql_query($sql_nru,$link_vcrx);
	    
}



if (mb_stristr('EB.IB',substr($_POST['docu'],0,2)))
{
	$sql_nru='update '.$docur->tabla.'1 set 
		bode="'.$_POST['bod1'].'",
		tobode="'.$_POST['bod2'].'"
		where idnum1='.$xidnum;

	mysql_query($sql_nru,$link_vcrx);
}

	
if(mysql_num_rows($res_exist)<=1 )
{
	$sql_exist='select * from '.$docur->tabla.'1  where 
		docu="'.strtoupper($_POST['docu']).'" and 
		ptoe="'.$_POST['ptoe'].'" and 
		numero="'.$numeror.'" and 
		status!="X"';

	$res_exist=mysql_query($sql_exist,$link_vcrx);
	$idxnum=mysql_result($res_exist,0,'idnum1');	
	echo ' <input type="hidden" id="hdd_idxreg3" value="'.$idxnum.'"  /> ';
	echo '<input type="hidden" id="hdd_docuxreg3" value="'.$docur->tabla.'"  />';

}


if(mysql_num_rows($res_exist)>1)
{
	
	echo '<input type="hidden" id="hdd_idxreg3" value="Error" />';
	echo '<input type="hidden" id="hdd_docuxreg3" value="Error" />';
}
?>